CustomAttributesControllerGetCustomAttributesByIds Method |
POST /CustomAttributes/GetByIds
Gets the custom attributes corresponding to the IDs.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("GetByIds")]
public IActionResult GetCustomAttributesByIds(
[FromBodyAttribute] GetCustomAttributesOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("GetByIds")>
Public Function GetCustomAttributesByIds (
<FromBodyAttribute> options As GetCustomAttributesOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"GetByIds")]
IActionResult^ GetCustomAttributesByIds(
[FromBodyAttribute] GetCustomAttributesOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("GetByIds")>]
member GetCustomAttributesByIds :
[<FromBodyAttribute>] options : GetCustomAttributesOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsGetCustomAttributesOptions
The GetCustomAttributesOptions object with the custom attribute IDs. - sessionId (Optional)
- Type: SystemNullableGuid
The current session ID.
Return Value
Type:
IActionResultA list of
CustomAttributeInfoListItemData objects, or a status code indicating the problem.
See Also